summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2020-08-17 12:12:23 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2020-08-17 13:03:49 +0200
commitf8b1bc9d95920d977ee2a24bbda3f97cb563b1bc (patch)
treec3e25b67dd27130dac039aeaeb5a4b550e38f9e2
parent0864c2d49ee8a1cc537568c05e14943186480125 (diff)
src: add comment support for map too
Extend and slightly rework tests/shell to cover this case too. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
-rw-r--r--src/parser_bison.y5
-rwxr-xr-xtests/shell/testcases/sets/0054comments_set_08
-rw-r--r--tests/shell/testcases/sets/dumps/0054comments_set_0.nft6
3 files changed, 14 insertions, 5 deletions
diff --git a/src/parser_bison.y b/src/parser_bison.y
index 7e094ff6..d4e99417 100644
--- a/src/parser_bison.y
+++ b/src/parser_bison.y
@@ -1896,6 +1896,11 @@ map_block : /* empty */ { $$ = $<set>-1; }
$1->init = $4;
$$ = $1;
}
+ | map_block comment_spec stmt_separator
+ {
+ $1->comment = $2;
+ $$ = $1;
+ }
| map_block set_mechanism stmt_separator
;
diff --git a/tests/shell/testcases/sets/0054comments_set_0 b/tests/shell/testcases/sets/0054comments_set_0
index 93a73f0d..9c8f7875 100755
--- a/tests/shell/testcases/sets/0054comments_set_0
+++ b/tests/shell/testcases/sets/0054comments_set_0
@@ -1,11 +1,9 @@
#!/bin/bash
+set -e
+
# Test that comments are added to sets
$NFT add table t
$NFT add set t s {type ipv4_addr \; flags interval \; comment "test" \;}
-if ! $NFT list ruleset | grep test >/dev/null ; then
- echo "E: missing comment in set" >&2
- exit 1
-fi
-
+$NFT add map t m {type ipv4_addr : ipv4_addr \; flags interval \; comment \"another test\" \;}
diff --git a/tests/shell/testcases/sets/dumps/0054comments_set_0.nft b/tests/shell/testcases/sets/dumps/0054comments_set_0.nft
index 2ad84003..79299241 100644
--- a/tests/shell/testcases/sets/dumps/0054comments_set_0.nft
+++ b/tests/shell/testcases/sets/dumps/0054comments_set_0.nft
@@ -4,4 +4,10 @@ table ip t {
flags interval
comment "test"
}
+
+ map m {
+ type ipv4_addr : ipv4_addr
+ flags interval
+ comment "another test"
+ }
}